[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'keyboard' (#rtl)

# SetKeyboardDriver

Set a new keyboard driver.

## Declaration

Source position: keybrdh.inc line 184

`function SetKeyboardDriver(`
`const Driver: TKeyboardDriver`
`):Boolean;`

## Description

SetKeyBoardDriver sets the keyboard driver to Driver, if the current keyboard driver is not yet initialized. If the current keyboard driver is initialized, then SetKeyboardDriver does nothing. Before setting the driver, the currently active driver should be disabled with a call to DoneKeyboard.

The function returns True if the driver was set, False if not.

For more information on setting the keyboard driver, see kbddriver.

## Errors

None.

## See also

GetKeyboardDriver |  | Return the current keyboard driver record.
DoneKeyboard |  | Deactivate keyboard driver.

Documentation generated on: Feb 26 2014